Retrieve Context by UID
Retrieves User Roles for all Contexts using the UID. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Retrieves User Roles for all Contexts using the UID.
This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.
Tenant API Key for authentication
In: query
Tenant API Secret for authentication
In: query
Path Parameters
UID of the User
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.loginradius.com/identity/v2/manage/account/680fada271a140ebc0716144/rolecontext"{
"Data": [
{
"Context": "school",
"Roles": [
"Admin",
"Student"
],
"AdditionalPermissions": [
"read",
"write"
],
"Expiration": "2024-05-14T12:34:56.789Z"
}
]
}{
"ErrorCode": 908,
"Message": "A parameter is not formatted correctly",
"Description": "The uid is a required parameter."
}{
"ErrorCode": 902,
"Message": "The API secret is unauthorized",
"Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}{
"ErrorCode": 984,
"Message": "Account ID is invalid",
"Description": "The provided account ID is invalid, please use a valid account ID in order to process this request."
}Retrieve Email Verification Token GET
Retrieves an Email Verification Token for a specified Email.
Upsert Context by UID PUT
Creates or updates a Context with a set of Roles using the UID. This API is supported only for B2C tenants. For improved role and permission management, we recommend migrating to a B2B tenant. Please contact support for assistance with the migration.